﻿
namespace TreeViewLoadonDemandRIAServices.Web
{
	using System;
	using System.Collections.Generic;
	using System.ComponentModel;
	using System.ComponentModel.DataAnnotations;
	using System.Linq;
	using System.ServiceModel.DomainServices.Hosting;
	using System.ServiceModel.DomainServices.Server;
	using TreeViewLoadonDemandRIAServices;


	// The MetadataTypeAttribute identifies MyDataTableMetadata as the class
	// that carries additional metadata for the MyDataTable class.
	[MetadataTypeAttribute(typeof(MyDataTable.MyDataTableMetadata))]
	public partial class MyDataTable
	{
		// This class allows you to attach custom attributes to properties
		// of the MyDataTable class.
		//
		// For example, the following marks the Xyz property as a
		// required property and specifies the format for valid values:
		//    [Required]
		//    [RegularExpression("[A-Z][A-Za-z0-9]*")]
		//    [StringLength(32)]
		//    public string Xyz { get; set; }
		internal sealed class MyDataTableMetadata
		{

			// Metadata classes are not meant to be instantiated.
			private MyDataTableMetadata()
			{
			}

			[Include("Count","ChildrenCount")]
			public IList<MyDataTable> Children { get; set; }

			public int ID { get; set; }

			public int ParentID { get; set; }

			public string Text { get; set; }
		}



	}
}
